
Summary: Kerberos authentication module for HTTP
Name: mod_auth_kerb
Version: 5.0
Release: 1.3%{?dist}.XOS.1
License: Apache
Group: System Environment/Daemons
URL: http://modauthkerb.sourceforge.net/
Source0: %{name}-%{version}-rc4.tar.gz
Source1: auth_kerb.conf
Patch0: %{name}-%{version}-replay.patch
Patch1: %{name}-%{version}-mutual.patch
Patch2: %{name}-%{version}-cache.patch
Patch3: %{name}-%{version}-cleanup.patch
Patch4: mod_auth_kerb-5.0-multirealm.patch
Patch5: mod_auth_kerb-5.0-rc6-overrun.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: httpd-devel, krb5-devel
Requires: httpd-mmn = %(cat %{_includedir}/httpd/.mmn || echo missing)

%description
mod_auth_kerb is module for the Apache HTTP Server designed to
provide Kerberos authentication over HTTP.  The module supports the
Negotiate authentication method, which performs full Kerberos
authentication based on ticket exchanges.

%prep
%setup -q -n %{name}-%{version}-rc4
%patch0 -p1 -b .replay
%patch1 -p1 -b .mutual
%patch2 -p1 -b .cache
%patch3 -p1 -b .cleanup
%patch4 -p1 -b .multir
%patch5 -p1 -b .overrun

%build
%configure --without-krb4 --with-krb5=/usr/kerberos
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_libdir}/httpd/modules \
         $RPM_BUILD_ROOT%{_sysconfdir}/httpd/conf.d
install -m 755 src/.libs/mod_auth_kerb.so \
        $RPM_BUILD_ROOT%{_libdir}/httpd/modules/mod_auth_kerb.so
install -m 644 $RPM_SOURCE_DIR/auth_kerb.conf \
        $RPM_BUILD_ROOT%{_sysconfdir}/httpd/conf.d/auth_kerb.conf

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc README
%config(noreplace) %{_sysconfdir}/httpd/conf.d/auth_kerb.conf
%{_libdir}/httpd/modules/*.so

%changelog
* Sun Dec 10 2006 X/OS Linux Team <xoslinux@xos.nl> 5.0-1.3.XOS.1
- Build for X/OS Linux 4.
- X/OS Linux source rpm based on mod_auth_kerb-5.0-1.3.src.rpm
  (md5sum of original source rpm: 24131bdecf30d669d2fb2692dbcfad27).

* Thu Nov 23 2006 Joe Orton <jorton@redhat.com> 5.0-1.3.el4
- add fix for CVE-2006-5989 (Nalin Dahyabhai, #216482)

* Wed Aug 17 2005 Joe Orton <jorton@redhat.com> 5.0-1.2
- add fix for multiple realm handling (Nalin Dahyabhai, #161941)

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Thu Apr  8 2004 Joe Orton <jorton@redhat.com> 5.0-0.rc4.5
- remove static globals
- add SSLRequireSSL

* Mon Mar 29 2004 Joe Orton <jorton@redhat.com> 5.0-0.rc4.3
- support mutual authentication (Nalin Dahyabhai)
- once authentication returns COMPLETE, cache name for the duration
  of the connection

* Thu Mar 25 2004 Joe Orton <jorton@redhat.com> 5.0-0.rc4.2
- add example config file

* Wed Mar 24 2004 Joe Orton <jorton@redhat.com> 5.0-0.rc4.1
- update to mod_auth_kerb.c from HEAD to get workaround for
  "Request is a replay" errors

* Tue Mar 23 2004 Joe Orton <jorton@redhat.com> 
- Initial build.
